Skip to main content
`Ctrl`+`K`

# slepc4py.SLEPc.DS.ParallelType

class slepc4py.SLEPc.DS.ParallelType

  Bases: `object`

  Indicates the parallel mode that the direct solver will use.

  - `REDUNDANT`: Every process performs the computation redundantly.

  - `SYNCHRONIZED`: The first process sends the result to the rest.

  - `DISTRIBUTED`: Used in some cases to distribute the computation among processes.

  See also

  `DSParallelType`

  Attributes Summary

  `DISTRIBUTED` | Constant `DISTRIBUTED` of type `int`
  `REDUNDANT` | Constant `REDUNDANT` of type `int`
  `SYNCHRONIZED` | Constant `SYNCHRONIZED` of type `int`

  Attributes Documentation

  DISTRIBUTED: int = DISTRIBUTED

    Constant `DISTRIBUTED` of type `int`

  REDUNDANT: int = REDUNDANT

    Constant `REDUNDANT` of type `int`

  SYNCHRONIZED: int = SYNCHRONIZED

    Constant `SYNCHRONIZED` of type `int`